summarylogtreecommitdiffstats
path: root/repack.sh
diff options
context:
space:
mode:
authorChris Severance2020-12-16 23:21:59 -0500
committerChris Severance2020-12-16 23:21:59 -0500
commitb4cdc2d7073d6f5fed099b0101e39d746f4fb8e2 (patch)
tree2cccac5a1d7e5f2adfcd6e1c0f535915b0f3d532 /repack.sh
parentf02b0acda052a1c38f60d362d4665cc2af7177ad (diff)
downloadaur-b4cdc2d7073d6f5fed099b0101e39d746f4fb8e2.tar.gz
autu: Update to 8.1601-2 Add UTAX TA option for future use
Diffstat (limited to 'repack.sh')
-rw-r--r--repack.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/repack.sh b/repack.sh
new file mode 100644
index 000000000000..6a5d89a3835c
--- /dev/null
+++ b/repack.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/bash
+
+# The Kyocera and UTAX PPD are redistributable by MIT license.
+# All old Kyocera models are in the new package. We only need the UTAX TA models.
+# The filter does not say if it is redistributable or not
+# so we'll treat it with the same license as the PPD files that use it.
+
+# Let's repack them without the files we don't use.
+
+set -e
+set -u
+
+rm -rf 'repack.dir'
+mkdir 'repack.dir'
+cd 'repack.dir'
+bsdtar -xf '../Kyocera Linux PPD Ver 8.1404.tar.gz'
+cd 'Kyocera Linux PPD Ver 8.1404'
+bsdtar -C '..' -xf 'TALinuxPackages-20141229.tar.gz'
+cd '../LinuxPackagesTA'
+if :; then
+ find . -depth -type 'd' -name 'bintools' -exec rm -r '{}' ';'
+ find . -type 'f' -name 'install.sh' -delete
+fi
+cd ..
+# https://stackoverflow.com/questions/27457326/compressing-a-folder-with-many-duplicated-files
+# This never produces the same md5 twice
+# Almost comical how small this file really can be
+7za a -r -t7z -m0=lzma2 -mx=9 -mfb=273 -md=29 -ms=8g -mmt=off -mmtf=off -mqs=on -bt -bb3 'TALinuxPackages-20141229-Repack.7z' 'LinuxPackagesTA'
+7z t 'TALinuxPackages-20141229-Repack.7z'